Package net.shibboleth.idp.plugin.authn.webauthn.audit

# Class WebAuthnAuditFields

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.audit.WebAuthnAuditFields

public final class WebAuthnAuditFields extends Object
Audit fields for WebAuthn.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTION`
The type of action performed.
`static final String`
`ACTION_OUTCOME`
The outcome of an action, typically success or failure.
`static final String`
`ADMIN_AFFECTED_USER`
The user the admin performed an action on.
`static final String`
`CRED_ADDED`
The Id of the credential that has been added.
`static final String`
`CRED_REMOVED`
The Id of the credential that has been removed.
`static final String`
`FLOW_MODE`
What mode produced the final result e.g.
`static final String`
`USERID`
The user.id of the currently authenticated user.
`static final String`
`UV`
Was the currently authenticated user verified (UserVerification).

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WebAuthnAuditFields()`
Private constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### USERID

@Nonnull @NotEmpty public static final String USERID
The user.id of the currently authenticated user.

See Also:
  - Constant Field Values

### UV

@Nonnull @NotEmpty public static final String UV
Was the currently authenticated user verified (UserVerification).

See Also:
  - Constant Field Values

### FLOW_MODE

@Nonnull @NotEmpty public static final String FLOW_MODE
What mode produced the final result e.g. 'passwordless'.

See Also:
  - Constant Field Values

### ADMIN_AFFECTED_USER

@Nonnull @NotEmpty public static final String ADMIN_AFFECTED_USER
The user the admin performed an action on.

See Also:
  - Constant Field Values

### ACTION_OUTCOME

@Nonnull @NotEmpty public static final String ACTION_OUTCOME
The outcome of an action, typically success or failure.

See Also:
  - Constant Field Values

### ACTION

@Nonnull @NotEmpty public static final String ACTION
The type of action performed. Controlled by the action, not by an audit extractor.

See Also:
  - Constant Field Values

### CRED_REMOVED

@Nonnull @NotEmpty public static final String CRED_REMOVED
The Id of the credential that has been removed.

See Also:
  - Constant Field Values

### CRED_ADDED

@Nonnull @NotEmpty public static final String CRED_ADDED
The Id of the credential that has been added.

See Also:
  - Constant Field Values

## Constructor Details

### WebAuthnAuditFields

private WebAuthnAuditFields()
Private constructor.